org.apache.ignite.internal.processors.cache.persistence

## Interface CheckpointLockStateChecker

All Known Implementing Classes:
  GridCacheDatabaseSharedManager, IgniteCacheDatabaseSharedManager

    public interface CheckpointLockStateChecker

Interface for perform checking that checkpoint lock is held by current track

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `checkpointLockIsHeldByThread()`

### Method Detail

#### checkpointLockIsHeldByThread

    boolean checkpointLockIsHeldByThread()

Returns:
  true if checkpoint lock is held by current thread

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021